Bug 524124 (CVE-2009-3290) - CVE-2009-3290 kernel: KVM: x86: Disallow hypercalls for guest callers in rings > 0
Summary: CVE-2009-3290 kernel: KVM: x86: Disallow hypercalls for guest callers in ring...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3290
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=kvm,public=20...
Depends On: 524125 524126 531657 545646
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 00:16 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-04 21:53:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1465 normal SHIPPED_LIVE Important: kvm security and bug fix update 2009-09-29 15:02:50 UTC

Description Eugene Teo (Security Response) 2009-09-18 00:16:37 UTC
Description of problem:
Unprivileged guest callers running in ring 3 can issue, e.g., MMU hypercalls. Normally, such callers cannot provide any hand-crafted MMU command structure as it has to be passed by its physical address, but they can still crash the guest kernel by passing random addresses or access the guest kernel memory, etc. This patch considers hypercalls valid only if issued from guest ring 0.

Upstream commit:
http://git.kernel.org/linus/07708c4af1346ab1521b26a202f438366b7bcffd

CVE request:
http://article.gmane.org/gmane.comp.security.oss.general/2130
http://permalink.gmane.org/gmane.comp.security.oss.general/2138

Ref: http://patchwork.kernel.org/patch/38926/

Comment 4 lihuang 2009-09-22 16:45:25 UTC
Reproduce in kvm-83-105.el5_4.3

Verified in kvm-83-105.el5_4.5

Comment 6 errata-xmlrpc 2009-09-29 15:02:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1465 https://rhn.redhat.com/errata/RHSA-2009-1465.html

Comment 7 Fedora Update System 2009-10-02 11:00:10 UTC
kernel-2.6.27.35-170.2.94.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.35-170.2.94.fc10

Comment 8 Fedora Update System 2009-10-03 18:55:48 UTC
kernel-2.6.27.35-170.2.94.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-10-18 01:57:08 UTC
kernel-2.6.30.9-90.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.9-90.fc11

Comment 10 Fedora Update System 2009-10-27 06:47:07 UTC
kernel-2.6.30.9-90.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.